Summary: Programmer's text editor written in Java
Name: jedit
Version: 4.3.2
Release: 9.2
License: GPL
Group: Applications/Editors
URL: http://www.jedit.org/
Source: http://dl.sf.net/jedit/%{name}%{version}source.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: ant ant-nodeps
BuildRequires: docbook-style-xsl
BuildRequires: java-1.6.0-openjdk-devel
BuildRequires: libxslt
Patch0: compressed-jars.patch
Patch1: fix-doc.patch

%description
jEdit is an Open Source, cross platform text editor written in Java. It
has an extensive feature set that includes syntax highlighting, auto indent,
folding, word wrap, abbreviation expansion, multiple clipboards, powerful
search and replace, and much more.

Futhermore, jEdit is extremely customizable, and extensible, using either
macros written in the BeanShell scripting language, or plugins written
in Java.

%package javadoc
Summary: Javadoc for jEdit
Group: Development/Java   

%description javadoc
Javadoc for jEdit.

%prep
%setup -q -n jEdit
%patch0 -p1
%patch1 -p0

%build
%ant build userdocs

%install
%{__rm} -rf $RPM_BUILD_ROOT

# javadoc
%__install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
mv  build/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%__install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
# some cleanin'
rm -rf build/classes
# install
cp -r build/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# script
%__install -dm 755 $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
java -jar %{_datadir}/%{name}/jedit.jar \$@
EOF
   
# script server
cat > $RPM_BUILD_ROOT%{_bindir}/%{name}-server <<EOF
#!/bin/sh
jedit -nogui -background
EOF

# icons
%__install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
%__install -m 644 icons/%{name}-icon48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

# desktopfile
%__install -dm 755 $RPM_BUILD_ROOT%{_desktopdir}
cat > $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop << EOF
[Desktop Entry]
Name=jEdit
Comment=Programmer's text editor written in Java
Exec=%{name} %U
Icon=/usr/share/pixmaps/%{name}.png
Terminal=false 
Type=Application
Categories=Development;TextEditor;
EOF
   
# manpage
%__install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
%__install -m 644 package-files/linux/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%attr(755,root,root) %{_bindir}/%{name}*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop 

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/*

%changelog
* Sat Oct 22 2011 Andrew Wyatt <andrew@fuduntu.org>
- Fix icon

* Fri Oct 21 2011 Andrew Wyatt <andrew@fuduntu.org>
- Built for Fuduntu

* Tue May 17 2011 Huaren Zhong <huaren.zhong@gmail.com> - 4.3.2
- Rebuild for Fedora

* Thu Apr 10 2008 Dag Wieers <dag@wieers.com> - 4.2-2 - 6256+/dag
- Fix typo in wrapper script.

* Wed Apr 09 2008 Dag Wieers <dag@wieers.com> - 4.2-1
- Initial package. (using DAR)
